using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace a
{
    class Program
    {
        static int resi(int[, ] a, int n, int l, int r, int x)
        {
            int k = 0;
            for(int i = l - 1; i <= r - 1; i++)
            {
                if (x >= a[i, 0] && x <= a[i, 1]) k++;
            }
            return k;
        }

        static void Main(string[] args)
        {
            string[] u = Console.ReadLine().Split();
            int n = int.Parse(u[0]);
            int m = int.Parse(u[1]);
            int[,] a = new int[n, 2];
            for(int i = 0; i < n; i++)
            {
                u = Console.ReadLine().Split();
                a[i, 0] = int.Parse(u[0]);
                a[i, 1] = int.Parse(u[1]);
            }
            for (int i = 0; i < m; i++)
            {
                string[] uu = Console.ReadLine().Split();
                int l = int.Parse(uu[0]);
                int r = int.Parse(uu[1]);
                int x = int.Parse(uu[2]);
                Console.WriteLine(resi(a, n, l, r, x));
            }
        }
    }
}